import { GaugeOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export declare type GaugeChartProps = Writeable<Omit<BaseChartProps<GaugeOptions>, 'chart' | 'data'> & GaugeOptions>;
declare const GaugeChart: import("vue-demi").DefineComponent<Writeable<Omit<BaseChartProps<GaugeOptions>, "chart" | "data"> & GaugeOptions>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, import("vue-demi").EmitsOptions, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<{
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | "auto" | number[] | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | import("@antv/g2/lib/interface").SyncViewPaddingFn | undefined;
    supportCSSTransform?: boolean | undefined;
    limitInPlot?: boolean | undefined;
    locale?: string | undefined;
    style?: (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | any)[])[])[])[])[])[])[])[])[])[])[]) | undefined;
    chartRef?: import("vue-demi").Ref<import("@antv/g2plot").Plot<GaugeOptions> | null> | undefined;
    label?: import("@antv/g2plot/lib/types/label").Label | undefined;
    meta?: Record<string, import("@antv/g2plot").Meta> | undefined;
    meter?: {
        readonly steps?: number | undefined;
        readonly stepRatio?: number | undefined;
    } | undefined;
    animation?: import("@antv/g2plot/lib/types/animation").Animation | undefined;
    range?: import("@antv/g2plot/lib/plots/gauge/types").Range | undefined;
    scrollbar?: import("@antv/g2/lib/interface").ScrollbarOption | undefined;
    localRefresh?: boolean | undefined;
    theme?: string | object | undefined;
    slider?: import("@antv/g2/lib/interface").SliderOption | undefined;
    interactions?: import("@antv/g2plot").Interaction[] | undefined;
    annotations?: import("@antv/g2plot/lib/types/annotation").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateOption | undefined;
    type?: string | undefined;
    percent?: number | undefined;
    radius?: number | undefined;
    innerRadius?: number | undefined;
    startAngle?: number | undefined;
    endAngle?: number | undefined;
    axis?: import("@antv/g2plot").Axis | undefined;
    indicator?: false | import("@antv/g2plot/lib/plots/gauge/types").Indicator | undefined;
    statistic?: import("@antv/g2plot").Statistic | undefined;
    gaugeStyle?: import("@antv/g2plot").StyleAttr | undefined;
}>, {
    class: any;
}>;
export default GaugeChart;
