import { ChordOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export declare type ChordChartProps = Writeable<Omit<BaseChartProps<ChordOptions>, 'chart' | 'data'> & ChordOptions>;
declare const ChordChart: import("vue-demi").DefineComponent<Writeable<Omit<BaseChartProps<ChordOptions>, "chart" | "data"> & ChordOptions>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, import("vue-demi").EmitsOptions, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<{
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | "auto" | number[] | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | import("@antv/g2/lib/interface").SyncViewPaddingFn | undefined;
    supportCSSTransform?: boolean | undefined;
    limitInPlot?: boolean | undefined;
    locale?: string | undefined;
    style?: (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | any)[])[])[])[])[])[])[])[])[])[])[]) | undefined;
    color?: import("@antv/g2plot").ColorAttr | undefined;
    data?: import("@antv/g2plot").Data | undefined;
    chartRef?: import("vue-demi").Ref<import("@antv/g2plot").Plot<ChordOptions> | null> | undefined;
    label?: import("@antv/g2plot/lib/types/label").Label | undefined;
    legend?: import("@antv/g2plot/lib/types/legend").Legend | undefined;
    meta?: Record<string, import("@antv/g2plot").Meta> | undefined;
    animation?: import("@antv/g2plot/lib/types/animation").Animation | undefined;
    tooltip?: import("@antv/g2plot").Tooltip | undefined;
    scrollbar?: import("@antv/g2/lib/interface").ScrollbarOption | undefined;
    localRefresh?: boolean | undefined;
    theme?: string | object | undefined;
    slider?: import("@antv/g2/lib/interface").SliderOption | undefined;
    interactions?: import("@antv/g2plot").Interaction[] | undefined;
    annotations?: import("@antv/g2plot/lib/types/annotation").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateOption | undefined;
    targetField?: string | undefined;
    rawFields?: string[] | undefined;
    weightField?: string | undefined;
    sourceField?: string | undefined;
    nodeWidthRatio?: number | undefined;
    nodePaddingRatio?: number | undefined;
    nodeSort?: ((a: import("@antv/g2plot").Datum, b: import("@antv/g2plot").Datum) => number) | undefined;
    nodeStyle?: import("@antv/g2plot").StyleAttr | undefined;
    edgeStyle?: import("@antv/g2plot").StyleAttr | undefined;
}>, {
    class: any;
}>;
export default ChordChart;
